Last Comment Bug 154197 - w3.org - Can not display test complex4.
: w3.org - Can not display test complex4.
Status: RESOLVED DUPLICATE of bug 184159
:
Product: Core
Classification: Components
Component: MathML (show other bugs)
: Trunk
: All All
: -- major (vote)
: ---
Assigned To: rbs
: Hixie (not reading bugmail)
: Anthony Jones (:kentuckyfriedtakahe, :k17e)
Mentors:
http://www.w3.org/Math/testsuite/test...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-25 13:08 PDT by S-O Westberg
Modified: 2002-12-09 22:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description S-O Westberg 2002-06-25 13:08:28 PDT
Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.1a+) Gecko/2002062508 can not display
MathML test complex4. Then after it displays the error message it say it transfer
data from the site but it do not transfer a single byte. Pressing stop stops
the "fake transfer" . 


XML Parsing Error: mismatched tag. Expected: </math>.
Location:
http://www.w3.org/Math/testsuite/testsuite/TortureTests/Complexity/complex4.xml
Line Number 864, Column 11:        </condition>
----------^

To show the bug just go to.
http://www.w3.org/Math/testsuite/testsuite/TortureTests/Complexity/complex4.xml
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2002-06-25 18:15:39 PDT
Fetching the source via wget shows thatthe page has:

<math xmlns="http://www.w3.org/1998/Math/MathML">
          <apply>
            <and/>
            <reln>
              <gt/>
              <ci>x</ci>
              <cn>0</cn>
            </reln>
            <reln>
              <lt/>
              <ci>x</ci>
              <cn>1</cn>
            </reln>
          </apply>
        </condition>
      </math>

So in fact the </condition> is out of place, the document is not well-formed,
and the parse error is correct.  The document needs to be fixed.  Where is this
document linked from?
Comment 2 S-O Westberg 2002-06-26 08:48:04 PDT
What about the second part of my bug. Where Mozilla say it transfer fom the site
when it does not after it has displayed the error message. Is this how it should
work?
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2002-06-26 13:01:04 PDT
Ah, my apologies.  I missed that part...  Thank you for pointing it out again...
Bug 154438 filed.
Comment 4 Bob Clary [:bc:] 2002-08-25 11:31:56 PDT
sent message to the mailing list. let's see what they say/do.
Comment 5 Bob Clary [:bc:] 2002-12-06 07:25:09 PST
Locks me up on on 20021205 1.3a win2k so I guess the non well formed problem is
fixed. Assigning to mathml for the lock up.
Comment 6 rbs 2002-12-09 22:04:06 PST
WFM with Nav 7.0. Suspecting a XSLT delicacy on the trunk now. My radars seem to
suggest a deadlock while the document is being mangled by XSLT.
Comment 7 Jonas Sicking (:sicking) No longer reading bugmail consistently 2002-12-09 22:31:56 PST
sorry for dupping the "wrong" way, but this bug has morphed and the other one
contains more info

*** This bug has been marked as a duplicate of 184159 ***

Note You need to log in before you can comment on or make changes to this bug.